|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Macros | Functions | Variables
traps.c File Reference
MPLABX MCC Melody Code Generator » Traps Driver

This is the generated driver source file for TRAPS driver. More...

`#include <xc.h>`
`#include "../traps.h"`
Include dependency graph for traps.c:

Go to the source code of this file.

## Macros
#define | ERROR_HANDLER __attribute__((interrupt,no_auto_psv))
#define | FAILSAFE_STACK_GUARDSIZE 8

## Functions
void | __attribute__ ((weak))
static void | use_failsafe_stack (void)
void ERROR_HANDLER | _AddressError (void)
void ERROR_HANDLER | _HardTrapError (void)
void ERROR_HANDLER | _SoftTrapError (void)
void ERROR_HANDLER | _OscillatorFail (void)
void ERROR_HANDLER | _MathError (void)
void ERROR_HANDLER | _StackError (void)

## Variables
static uint16_t | TRAPS_error_code = -1

## Detailed Description

TRAPS Generated Driver Source File

Definition in file traps.c.

## Macro Definition Documentation

## ◆ ERROR_HANDLER

#define ERROR_HANDLER __attribute__((interrupt,no_auto_psv))

Definition at line 42 of file traps.c.

## ◆ FAILSAFE_STACK_GUARDSIZE

#define FAILSAFE_STACK_GUARDSIZE 8

Definition at line 43 of file traps.c.

## Function Documentation

## ◆ __attribute__()

void __attribute__ | ( | (weak) |  | ) |

Definition at line 52 of file traps.c.

## ◆ _AddressError()

void ERROR_HANDLER _AddressError | ( | void |  | ) |

Address error Trap vector

Definition at line 87 of file traps.c.

Here is the call graph for this function:

## ◆ _HardTrapError()

void ERROR_HANDLER _HardTrapError | ( | void |  | ) |

Generic Hard Trap vector

Definition at line 94 of file traps.c.

Here is the call graph for this function:

## ◆ _MathError()

void ERROR_HANDLER _MathError | ( | void |  | ) |

Math Error Trap vector

Definition at line 150 of file traps.c.

Here is the call graph for this function:

## ◆ _OscillatorFail()

void ERROR_HANDLER _OscillatorFail | ( | void |  | ) |

Oscillator Fail Trap vector

Definition at line 143 of file traps.c.

Here is the call graph for this function:

## ◆ _SoftTrapError()

void ERROR_HANDLER _SoftTrapError | ( | void |  | ) |

Generic Soft Trap vector

Definition at line 101 of file traps.c.

Here is the call graph for this function:

## ◆ _StackError()

void ERROR_HANDLER _StackError | ( | void |  | ) |

Stack Error Trap Vector

Definition at line 157 of file traps.c.

Here is the call graph for this function:

## ◆ use_failsafe_stack()

static void use_failsafe_stack | ( | void |  | ) |
| inlinestatic

Definition at line 71 of file traps.c.

Here is the caller graph for this function:

## Variable Documentation

## ◆ TRAPS_error_code

uint16_t TRAPS_error_code = -1
| static

Definition at line 47 of file traps.c.